| QxOrm 1.2.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Private Member Functions | Static Private Attributes
qx::trait::is_qt_weak_ptr< T > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_qt_weak_ptr<T>::value : return true if T is a QWeakPointer<> smart-pointer of Qt library, otherwise return false More...

`#include <is_qt_weak_ptr.h>`

List of all members.

## Public Types
enum | { value = (sizeof(qx::trait::is_qt_weak_ptr<T>::isSmartPtr(t)) == sizeof(char)) }
typedef boost::mpl::if_c < qx::trait::is_qt_weak_ptr< T > ::value, boost::mpl::true_, boost::mpl::false_ >::type | type
## Static Private Member Functions
template<typename V >
static char | isSmartPtr (QWeakPointer< V >)
static int | isSmartPtr (...)
## Static Private Attributes
static T | t

## Detailed Description

### template<typename T>
class qx::trait::is_qt_weak_ptr< T >

qx::trait::is_qt_weak_ptr<T>::value : return true if T is a QWeakPointer<> smart-pointer of Qt library, otherwise return false

Definition at line 59 of file is_qt_weak_ptr.h.

## Member Typedef Documentation

template<typename T >

typedef boost::mpl::if_c<qx::trait::is_qt_weak_ptr<T>::value, boost::mpl::true_, boost::mpl::false_>::type qx::trait::is_qt_weak_ptr< T >::type

Definition at line 74 of file is_qt_weak_ptr.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator:

  value |

Definition at line 70 of file is_qt_weak_ptr.h.

## Member Function Documentation

template<typename T >
template<typename V >

static char qx::trait::is_qt_weak_ptr< T >::isSmartPtr | ( | QWeakPointer< V > |  | ) | `[static, private]`

template<typename T >

static int qx::trait::is_qt_weak_ptr< T >::isSmartPtr | ( |  | ... | ) | `[static, private]`

## Member Data Documentation

template<typename T >

T qx::trait::is_qt_weak_ptr< T >::t`[static, private]`

Definition at line 66 of file is_qt_weak_ptr.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_qt_weak_ptr.h